Package opennlp.tools.sentdetect

## Class DefaultSDContextGenerator

- java.lang.Object
- - opennlp.tools.sentdetect.DefaultSDContextGenerator

- All Implemented Interfaces:
    `SDContextGenerator`
  Direct Known Subclasses:
    `SentenceContextGenerator`

      public class DefaultSDContextGenerator
      extends Object
      implements SDContextGenerator

  Generate event contexts for maxent decisions for sentence detection.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultSDContextGenerator​(char[] eosCharacters)` | Creates a new `SDContextGenerator` instance with no induced abbreviations.
    `DefaultSDContextGenerator​(Set<String> inducedAbbreviations, char[] eosCharacters)` | Creates a new `SDContextGenerator` instance which uses the set of induced abbreviations.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getContext​(CharSequence sb, int position)` | Returns an array of contextual features for the potential sentence boundary at the specified position within the specified string buffer.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSDContextGenerator

          public DefaultSDContextGenerator​(char[] eosCharacters)

      Creates a new `SDContextGenerator` instance with no induced abbreviations.
      Parameters:
        `eosCharacters` -

    - #### DefaultSDContextGenerator

          public DefaultSDContextGenerator​(Set<String> inducedAbbreviations,
                                           char[] eosCharacters)

      Creates a new `SDContextGenerator` instance which uses the set of induced abbreviations.
      Parameters:
        `inducedAbbreviations` - a `Set` of Strings representing induced abbreviations in the training data. Example: "Mr."
        `eosCharacters` -

  - ### Method Detail

    - #### getContext

          public String[] getContext​(CharSequence sb,
                                     int position)

      Description copied from interface: `SDContextGenerator`
      Returns an array of contextual features for the potential sentence boundary at the specified position within the specified string buffer.
      Specified by:
        `getContext` in interface `SDContextGenerator`
      Parameters:
        `sb` - The `String` for which sentences are being determined.
        `position` - An index into the specified string buffer when a sentence boundary may occur.
      Returns:
        an array of contextual features for the potential sentence boundary at the specified position within the specified string buffer.